System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IDictionary System.Collections.IList

is read-only; it does not implement methods that add or remove properties. You must inherit from this class to implement these methods.

Using the properties available in the class, you can query the collection about its contents. Use the property to determine the number of elements in the collection. Use the property to get a specific property by index number or by name.

In addition to properties, you can use the method to get a description of the property with the specified name from the collection.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  An array of type that provides the properties for this collection.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class, which is optionally read-only.

  An array of type that provides the properties for this collection.
  If true, specifies that the collection cannot be modified.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds the specified to the collection.

  The index of the that was added to the collection.

  The to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Removes all objects from the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the collection contains the given .

  true if the collection contains the given ; otherwise, false.

  The to find in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the entire collection to an array, starting at the specified index number.

  An array of objects to copy elements of the collection to. The index of the parameter at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  You can use the property to set the limits of a loop that iterates through a collection of objects. Because the collection is zero-based, be sure to use Count - 1 as the upper boundary of the loop.

  Gets the number of property descriptors in the collection.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection To be added

  Specifies an empty collection that you can use instead of creating a new one with no items. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor `` `` To be added

  Returns the with the specified name, using a Boolean to indicate whether to ignore case.

  A with the specified name, or null if the property does not exist.

  The name of the to return from the collection. true if you want to ignore the case of the property name; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added

  Returns an enumerator for this class.

  An enumerator of type .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the index of the given .

  The index of the given .

  The to return the index of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Adds the to the collection at the specified index number.

  The index at which to add the parameter to the collection. The to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'Collections.IComparer' To be added

  Sorts the members of this collection, using the specified .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'string []' To be added

  Sorts the members of this collection. The specified order is applied first, followed by the default sort for this collection, which is usually alphabetical.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified from the collection.

  The to remove from the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the at the specified index from the collection.

  The index of the to remove from the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection To be added

  Sorts the members of this collection, using the default sort for this collection, which is usually alphabetical.

  A new that contains the sorted objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added

  Sorts the members of this collection, using the specified .

  A new that contains the sorted objects.

  A comparer to use to sort the objects in this collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added: an object of type 'string []' To be added

  Sorts the members of this collection. The specified order is applied first, followed by the default sort for this collection, which is usually alphabetical.

  A new that contains the sorted objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` `` To be added. To be added

  Sorts the members of this collection. The specified order is applied first, followed by the sort using the specified .

  A new that contains the sorted objects.

  A comparer to use to sort the objects in this collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Adds an element with the provided key and value to the .

  The to use as the key of the element to add. The to use as the value of the element to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all elements from the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added. To be added.

  Determines whether the contains an element with the specified key.

  true if the contains an element with the key; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Collections.IDictionaryEnumerator To be added.

  Returns an enumerator for this class.

  An enumerator of type .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added. To be added.

  Gets an containing the keys of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added.

  Removes the element with the specified key from the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added. To be added.

  Gets an containing the values in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an for the .

  An for the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds an item to the .

  The position into which the new element was inserted.

  The item to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all items from the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the collection contains a specific value.

  true if the item is found in the collection; otherwise, false.

  The item to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specified item in the collection.

  The index of if found in the list, otherwise -1.

  The item to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts an item into the collection at a specified index.

  The zero-based index at which should be inserted. The item to insert into the collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the collection is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specified value from the collection.

  The item to remove from the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the item at the specified index.

  The zero-based index of the item to remove.